.gallery-wrapper{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    width: 100%;
}

.gallery-img{
    object-fit: cover;
    aspect-ratio: 1;
    max-width: 300px;
    width: 100%;
    margin: 20px;
    border-radius: 24px;
    cursor: pointer;
    transition-duration: 300ms;
    filter: grayscale(20%);
}

.gallery-img:hover{
    border-radius: 0px;
    transform: scale(105%);
    filter: grayscale(0%);
}

.light-box-background{
    background-color: rgba(0, 0, 0, 0.8);
    opacity: 0;
    position: fixed;
    top: 0;
    z-index: 9999999999;
    width: 100vw;
    height: 100vh;
    pointer-events: none;
    transition-duration: 300ms;
    display: flex;
    align-items: center;
    justify-content: center;
}

.active{
    opacity: 1;
    pointer-events: all;
    display: flex;
}

.image-container{
    width: 90%;
    height: 90%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

#lightbox-img{
    max-height: 90vh;
    max-width: 100%;
    transition-duration: 400ms;
}

.hide {
    opacity: 0;
}

.arrow{
    position: absolute;
    width: 60px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    z-index: 99;
}

#backArrow{
    left: -30px;
}

#forwardArrow{
    right: -30px;
}

#close-btn {
    position: absolute;
    top: 0px;
    right: 0px;
    transform: translate(50%, -50%);
    cursor: pointer;
}

.image-box {
    max-height: 100%;
    max-width: 100%;
    position: relative;
}

@media screen and (max-width: 600px){

    .image-container{
        width: 85%;
    }

    #close-btn {
        position: absolute;
        top: 0px;
        right: 0px;
        transform: translate(50%, -50%);
        cursor: pointer;
        width: 40px;
        height: 40px;
    }

    #backArrow{
        transform: translateY(0%);
        top: auto;
        bottom: 20px;
        left: 25%;
        width: 60px;
    }

    #forwardArrow{
        transform: translateY(0%);
        top: auto;
        bottom: 20px;
        right: 25%;
        width: 60px;
    }
}

@media screen and (max-width: 1000px){
    .gallery-img{
        max-width: 250px;
        margin: 20px;
    }
}

@media screen and (max-width: 680px){
    .gallery-img{
        max-width: 200px;
    }
}

@media screen and (max-width: 540px){
    .gallery-img{
        max-width: 160px;
    }
}

@media screen and (max-width: 450px){
    .gallery-img{
        max-width: 120px;
    }
}